Page MenuHomePhabricator

Deploy Growth features on Malay Wikipedia
Closed, ResolvedPublicTue, Apr 6

Description

Translations

Help panel

  • Help pages (you can provide either a Wikidata link or a link to your wiki):
TaskTranslation of the labelLink
Manual of styleCara menulis artikel yang baikhttps://ms.wikipedia.org/wiki/Wikipedia:Manual_gaya_penulisan
Help:EditingCara mengedit halamanhttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/ms
Inserting images (using the visual editor)Cara memasukkan gambarhttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/ms#Images
Inserting references (using the visual editor)Cara memasukkan rujukanhttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/ms#Editing_references
Article WizardCara membuat artikelhttps://ms.wikipedia.org/wiki/Wikipedia:Penciptaan_rencana_bestari

Mentorship module (optional)

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald Transcript

Change 673329 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] mswiki: Enable Growth features in stealth mode

https://gerrit.wikimedia.org/r/673329

Change 673329 merged by jenkins-bot:
[operations/mediawiki-config@master] mswiki: Enable Growth features in stealth mode

https://gerrit.wikimedia.org/r/673329

Mentioned in SAL (#wikimedia-operations) [2021-03-18T18:10:45Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 179d9e5: mswiki: Enable Growth features in stealth mode (T277562; 1/2) (duration: 01m 11s)

Mentioned in SAL (#wikimedia-operations) [2021-03-18T18:12:13Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: 179d9e5: mswiki: Enable Growth features in stealth mode (T277562; 2/2) (duration: 01m 08s)

Urbanecm_WMF moved this task from Backlog to Dark Mode Enabled on the Growth-Deployments board.
Urbanecm_WMF added a subscriber: Urbanecm_WMF.

@Trizek-WMF This was just deployed in dark mode.

Change 673491 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Malay special page aliases

https://gerrit.wikimedia.org/r/673491

Change 673491 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Malay special page aliases

https://gerrit.wikimedia.org/r/673491

Trizek-WMF set Due Date to Tue, Apr 6, 10:00 PM.Mar 22 2021, 3:54 PM

Change 677828 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Enable Growth for newcomers on simplewiki, mswiki, tawiki

https://gerrit.wikimedia.org/r/677828

Change 677828 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Growth for newcomers on simplewiki, mswiki, tawiki

https://gerrit.wikimedia.org/r/677828

Mentioned in SAL (#wikimedia-operations) [2021-04-08T11:07:36Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: de1670cbd2c59a24f1e29a6d3731e3ac7f39d336: Enable Growth for newcomers on simplewiki, mswiki, tawiki (T278369; T277562; T277550) (duration: 01m 07s)

Etonkovidova added a subscriber: Etonkovidova.

Checked mswiki - Special:Homepage is present and works as expected.

@Urbanecm_WMF - two questions:

  1. Help:Editing displayed as a red link although https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/ms does exist.
<a href="/w/index.php?title=Cara_mengedit_halaman&amp;action=edit&amp;redlink=1" class="new" title="Cara mengedit halaman (laman tidak wujud)" target="_blank" data-link-id="editing">mw:Help:VisualEditor/User_guide/ms</a>

  1. Should Special:NewcomerTasksInfo be included into Translate aliases ?

Moving to Test in Production |Watching to monitor the translation progress.

Change 678791 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] mswiki: Fix help panel links

https://gerrit.wikimedia.org/r/678791

Change 678791 merged by jenkins-bot:

[operations/mediawiki-config@master] mswiki: Fix help panel links

https://gerrit.wikimedia.org/r/678791

Mentioned in SAL (#wikimedia-operations) [2021-04-13T08:31:14Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 7ca767322b4469da05656b8acdedfc5101be2703: mswiki: Fix help panel links (T277562) (duration: 00m 58s)

Checked mswiki - Special:Homepage is present and works as expected.

@Urbanecm_WMF - two questions:

  1. Help:Editing displayed as a red link although https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/ms does exist.
<a href="/w/index.php?title=Cara_mengedit_halaman&amp;action=edit&amp;redlink=1" class="new" title="Cara mengedit halaman (laman tidak wujud)" target="_blank" data-link-id="editing">mw:Help:VisualEditor/User_guide/ms</a>

Upps, thanks for catching that. Fixed.

  1. Should Special:NewcomerTasksInfo be included into Translate aliases ?

Maybe, that's a question for @Trizek-WMF, I assume.

Moving to Test in Production |Watching to monitor the translation progress.

My bad regarding the link: https://www.mediawiki.org/wiki/Special:MyLanugage/Help:VisualEditor/User_guide should be used instead of the localized name.

About Special:NewcomerTasksInfo, I think it should be possible to translate it. But I won't look for translations since it is a very specific page.

Mentioned in SAL (#wikimedia-operations) [2021-04-13T08:31:14Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 7ca767322b4469da05656b8acdedfc5101be2703: mswiki: Fix help panel links (T277562) (duration: 00m 58s)

The fix is in place. Thanks, @Urbanecm_WMF!